need some help

This is the error I am getting form it. I dont relly know what I should do to correct this. Do I need to go in to the source and repair this my self.
File “D:\Panda3D-1.1.0\startpanda.py”, line 1, in ?
import direct.directbase.DirectStart
File “D:\Panda3D-1.1.0\direct\src\directbase\DirectStart.py”, line 3, in ?
from direct.showbase import ShowBase
File “D:\Panda3D-1.1.0\direct\src\showbase\ShowBase.py”, line 20, in ?
from direct.interval import IntervalManager
File “D:\Panda3D-1.1.0\direct\src\interval\IntervalManager.py”, line 150, in ?

ivalMgr = IntervalManager(1)

File “D:\Panda3D-1.1.0\direct\src\interval\IntervalManager.py”, line 32, in __
init__
self.setEventQueue(self.eventQueue)
TypeError: CIntervalManager::set_event_queue() argument 1 must be EventQueue, no
t EventQueue
I have also tryed Panda3D-1.0.5
Here are the errors I get from the
DirectStart: Starting the game.
Traceback (most recent call last):
File “D:\Panda3D-1.0.5\startpanda.py”, line 1, in ?
import direct.directbase.DirectStart
File “D:\Panda3D-1.0.5\direct\src\directbase\DirectStart.py”, line 3, in ?
from direct.showbase import ShowBase
File “D:\Panda3D-1.0.5\direct\src\showbase\ShowBase.py”, line 6, in ?
from pandac.PandaModules import *
File “D:\Panda3D-1.0.5\pandac\PandaModules.py”, line 23, in ?
exec marshal.loads(zlib.decompress(f.read(1042)))
ValueError: bad marshal data

Just some silly questions out of the dark:

What code did you use to launch the python file?

Whats the content of the python file you want to run?

What does happen when you run the greeting card from 1.0.5 from the Start Menu?

Regards, Bigfoot29

What code did you use to launch the python file?
A. Panda3D Manual: Main Page COD
import direct.directbase.DirectStart
run()
Whats the content of the python file you want to run?
A.I am gussing this is the correct code to start the blank screen
What does happen when you run the greeting card from 1.0.5 from the Start Menu?
A. I just ran the greeting card from 1.0.5 and I belive i am missing libpanda.dll or need to replace libpanda.dll with the correct version. Just a wild guss correct me if I am wrong
erro message
The procedure entry point ?get_usege_hit@GeomVertexData@@QE?AW4UsageHit@GeomEnums@@XZ could not be located in the dynamic link libarary libpanda.dll.
erro message
The procedure entry point ?auto_resize@GraphicsOutput@@UAEXXZ could not be located in the dynamic link library libpanda.dll
error message
The procedure entry point ??1GeomVertexReader@@QAE@XZ could not be located in the dynamic link library libpanda.dll.

These missing symbols are symbols that are defined in the Panda3D 1.1.0 version of libpanda.dll, but not in the Panda3D 1.0.5 version of libpanda.dll.

It follows that you must be loading libdirect.dll from version 1.1.0, and libpanda.dll from version 1.0.5. What a mess. Panda is supposed to play nice when you have two different versions installed, but for some reason on your system it’s getting confused. Maybe one or the other is not fully installed, or not installed properly? Maybe you tried to uninstall one of them, but something went wrong in the uninstallation process, and some of the files remain?

I suggest the following: Make sure all of your versions of Panda are completely uninstalled, and then make sure you have completely removed the c:\panda3d-1.0.5 and c:\panda3d-1.10 directories. Then re-install only one version, say 1.0.5, and attempt to run it from the start menu as before.

David

Well one problem solved I have found out what I did wrong. I have no idea why I decided to place the dlls in the system32 dir any how I Deleted them from there. Now I have a diffrent error
error log
DirectStart: Starting the game.
Traceback (most recent call last):
File “D:\Panda3D-1.1.0\startpanda.py”, line 1, in ?
import direct.directbase.DirectStart
File “D:\Panda3D-1.1.0\direct\src\directbase\DirectStart.py”, line 3, in ?
from direct.showbase import ShowBase
File “D:\Panda3D-1.1.0\direct\src\showbase\ShowBase.py”, line 6, in ?
from pandac.PandaModules import *
File “D:\Panda3D-1.1.0\pandac\PandaModules.py”, line 1, in ?
from libpandaexpressModules import *
File “D:\Panda3D-1.1.0\pandac\libpandaexpressModules.py”, line 1, in ?
from libpandaexpress import *
ImportError: No module named libpandaexpress
and this one is for 1.0.5
DirectStart: Starting the game.
Traceback (most recent call last):
File “D:\Panda3D-1.0.5\startpanda.py”, line 1, in ?
import direct.directbase.DirectStart
File “D:\Panda3D-1.0.5\direct\src\directbase\DirectStart.py”, line 3, in ?
from direct.showbase import ShowBase
File “D:\Panda3D-1.0.5\direct\src\showbase\ShowBase.py”, line 6, in ?
from pandac.PandaModules import *
File “D:\Panda3D-1.0.5\pandac\PandaModules.py”, line 2, in ?
import ihooks,zlib,marshal,os,sys
ImportError: No module named zlib
The reasion why I keep posting errors on both is because I would like to have at least one of them working. I have been reading the forms and I have found 1.1.0 is a bata and unstable version. Well anyways any input is good sorry for being such a newby. I am still useing the same code.

I found out what I was doing wrong. I was useing Python instead of useing to run it instead of useing ppython filename.py. Now it works just fine with both versions. Thanks for the help guys great support :smiley: